<?php

/**
 * Check if cuurent user is admin
 */

/**
 * get user name by uid
 * @param type $uid
 * @return type
 */
function get_mail_by_uid($uid) {
  return db_select('users', 'u')->fields('u', array('mail'))->condition('uid', $uid)->execute()->fetchAll();
}

/**
 * List all site users
 */
function get_user_data($uid) {
  $query = db_select('users', 'u');
  $query->leftJoin('field_data_field_user_full_name', 'f', 'f.entity_id = u.uid');
  $result = $query->fields('u', array('mail', 'uid'))
      ->fields('f', array('field_user_full_name_value'))
      ->condition('u.uid', $uid)
      ->execute()
      ->fetchAll();
  $users = array();
  foreach ($result as $key => $value) {
    $user = new stdClass();
    $user->uid = $value->uid;
    $user->mail = $value->mail;
    $user->full_name = $value->field_user_full_name_value;
    $users[] = $user;
  }

  return $users;
}

/**
 * Get the users in specific vacation day.
 */
function get_vacation_users($absence_day) {
  return db_select('field_data_field_absence_day', 'd')->fields('d', array('entity_id'))->condition('field_absence_day_value', $absence_day)->execute()->fetchAll();
}

/**
 * Get The nids by date.
 */
function get_nids_by_day($date) {

  $nids_query = db_select('field_data_field_absence_day', 'd')->fields('d', array('entity_id'))->condition('field_absence_day_value', $date)->execute()->fetchAll();
  $nids = array();
  foreach ($nids_query as $key => $value) {
    $nids[] = $value->entity_id;
  }
  return $nids;
}
