(function ($) {
  Drupal.behaviors.betterExposedFilters = {
    attach: function () {
      $(".vacation-click-expand").unbind("click");
      $(".vacation-click-expand").click(function () {
        $(this).next('.user-vacations-info').slideToggle();
        $(this).children(".owner-ico").toggleClass("fa-bars fa-times");
        $(this).toggleClass("pad-5");

      });



      var currentDomain = "//" + document.domain + Drupal.settings.basePath;
      //Delete Vacation
      $(".delete-vacation").click(function () {
        var nid = $(this).attr('nid');
        var uid = $(this).attr('uid');
        var date = $(this).attr('date');
        swal({title: "Are you sure?",
          text: "you want to Delete this Vacation. Continue?",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#DD6B55",
          confirmButtonText: "Yes, Delete it!",
          closeOnConfirm: false},
        function () {
          swal("Deleted!", "Vacation has been delted.", "success");
          $.ajax({
            type: 'post',
            url: currentDomain + '/delete_vacation',
            data: ({nid: nid, uid: uid, date: date}),
            success: function (result) {
              $(".success-delete").html(result);

            }
          });
        });
        return false;
      });

      //Change Voucher Status
      $(".approve-vacation").click(function () {
        var nid = $(this).attr('nid');
        var uid = $(this).attr('uid');
        var date = $(this).attr('date');
        swal({title: "Are you sure?",
          text: "you want to approve this Vacation. Continue?",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#DD6B55",
          confirmButtonText: "Yes, Approve it!",
          closeOnConfirm: false},
        function () {
          swal("Approved!", "Vacation has been approved.", "success");
          $.ajax({
            type: 'post',
            url: currentDomain + '/approve_vacation',
            data: ({nid: nid, uid: uid, date: date}),
            success: function (result) {
              $(".success-delete").html(result);

            }
          });
        });
        return false;
      });

      //Reject Voucher
      $(".reject-vacation").click(function () {
        var nid = $(this).attr('nid');
        var uid = $(this).attr('uid');
        var date = $(this).attr('date');
        var reject = $(this).attr('reject');
        swal({title: "Are you sure?",
          text: "you want to Reject this Vacation. Continue?",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#DD6B55",
          confirmButtonText: "Yes, Reject it!",
          closeOnConfirm: false},
        function () {
          swal("Rejected!", "Vacation has been rejected.", "success");
          $.ajax({
            type: 'post',
            url: currentDomain + '/delete_vacation',
            data: ({nid: nid, uid: uid, date: date, reject: reject}),
            success: function (result) {
              $(".success-delete").html(result);

            }
          });
        });
        return false;
      });


      //Delete Vacation Day with all users assigned to this day
      $(".delete-all-day").click(function () {
        var date = $(this).attr('date');
        swal({title: "Are you sure?",
          text: "you want to delete this day included it's users. Continue?",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#DD6B55",
          confirmButtonText: "Yes, Delete All!",
          closeOnConfirm: false},
        function () {
          swal("Deleted!", "Vacation day has been deleted with it's users.", "success");
          $.ajax({
            type: 'post',
            url: currentDomain + '/delete_all_day',
            data: ({date: date}),
            success: function (result) {
              $(".success-delete").html(result);

            }
          });
        });
        return false;
      });

      //Change count of (days/users) under each day/user.
      $(".view-id-vacations .vacation-row , .view-vacations-by-day .vacation-row").each(function () {
        var count = $(this).find('.vacation-single-row').length;
        var count_txt = " Days";
        if ($("body").hasClass("page-days-vacations")) {
          count_txt = " Users";
        }
        $(this).find(".days-count").text(count + count_txt);

      });

      //Execute loader when vacations filters changes by ajax

      $("select#edit-field-absence-type-value,select#edit-field-absence-owner-uid,select#edit-field-absence-day-value-1-value-month").change(function () {
        $('.view-content,.view-empty').prepend('<img class="load-vacations" src="' + currentDomain + '/sites/all/themes/time_tracking/images/load.gif">');
        $(".view-content,.view-empty").css({"opacity": "0.3", "pointer-events": "none"});


      });





    }}

})(jQuery);


jQuery(function ($) {
  $(document).ready(function () {

    //Global Variables
    var pathName = window.location.pathname.split("/");
    var pageName = pathName[pathName.length - 1];

    //make input checked with the value in the parameter.
    var value = getUrlParameter('value');
    if (pageName === 'add-vacation' && value) {
      $('input[value="' + value + '"]').prop('checked', true);
    }

    //redirect admin to user vacstion request only
    var user_filter = getUrlParameter('user');
    var type_filter = getUrlParameter('type');
    if (pageName === 'vacations' && user_filter && type_filter === 'request') {
      $("select#edit-field-absence-type-value").val('request');
      $("select#edit-field-absence-owner-uid").val(7);
      $("select#edit-field-absence-owner-uid").change();
    }


    /**
     * Get GET Parameters from urls
     * @param {string} sParam parameter name
     * @returns {parameter value}
     */
    function getUrlParameter(sParam) {
      var sPageURL = decodeURIComponent(window.location.search.substring(1)),
              sURLVariables = sPageURL.split('&'),
              sParameterName,
              i;

      for (i = 0; i < sURLVariables.length; i++) {
        sParameterName = sURLVariables[i].split('=');

        if (sParameterName[0] === sParam) {
          return sParameterName[1] === undefined ? true : sParameterName[1];
        }
      }
    }



//Check/Uncheck when click 
    $("#edit-main-group-egypt").click(function () {
      if ($(this).prop("checked") == true) {
        $(".users_names-select input").each(function () {
          var id = $(this).attr('id');
          if (id.indexOf("egypt") > -1) {
            $(this).prop('checked', true);
          }

        });
      } else {
        $(".users_names-select input").each(function () {
          var id = $(this).attr('id');
          if (id.indexOf("egypt") > -1) {
            $(this).prop('checked', false);
          }

        });
      }


    });

    $("#edit-main-group-usa").click(function () {

      if ($(this).prop("checked") == true) {
        $(".users_names-select input").each(function () {
          var id = $(this).attr('id');
          if (id.indexOf("usa") > -1) {
            $(this).prop('checked', true);
          }

        });
      } else {
        $(".users_names-select input").each(function () {
          var id = $(this).attr('id');
          if (id.indexOf("usa") > -1) {
            $(this).prop('checked', false);
          }

        });
      }


    });



//Hide and display login/forget password form.
    $('.forget-pass').click(function ()
    {
      $('.login-form').slideUp(300);
      $('.user-pass-form').slideDown(300);
      $('.login-form-help').slideUp(300);
      $('.pass-form-help').slideDown(300);
      return false;
    });
    $('.bring-login-form').click(function ()
    {
      $('.login-form').slideDown(300);
      $('.user-pass-form').slideUp(300);
      $('.login-form-help').slideDown(300);
      $('.pass-form-help').slideUp(300);
      return false;
    });


    //Add user form ... fix "confirm password field" issue
    $(".page-admin-people-create .password-field").focus(function () {
      $(".page-admin-people-create .form-item-pass-pass2").css("top", "16px");
      $(".page-admin-people-create .form-item-pass-pass1 .progress").slideDown();
    });

    //Execute loader when webform submitted by ajax



    if (pageName === 'request-vacation' && ($('.webform-submit').length)) {
      $(document).ajaxStart(function () {
        $('#webform-client-form-2').prepend('<img class="load-webform" src="' + currentDomain + '/sites/all/themes/time_tracking/images/load.gif">');
        $("#webform-client-form-2").css({"opacity": "0.3", "pointer-events": "none"});
      });
      ;
    }



  }); // End doc ready



});