<?php
/* -varaibles- */
$fullpath = base_path() . drupal_get_path('theme', 'time_tracking');
global $user;
?>
<?php if (user_is_logged_in()) { ?>
  <div id="wrp_leftbar">
    <div class="logo_cont">
      <a href="<?php print $front_page; ?>">
        <img src="<?php print $fullpath; ?>/images/logo.png">
        <h3>Resources Tracking</h3>
      </a>
    </div>
    <div class="leftbar-list">
      <ul class="list-unstyled">
        <li>
          <i class="fa fa-dashboard fa-fw"></i> 
          <a href="<?php print $front_page; ?>">Dashboard</a>
        </li>
        <?php if (in_array('administrator', array_values($user->roles))) { ?>
          <li class="left-parent-menu parent-menu">
            <i class="fa fa-users fa-lg"></i>
            <a class="dropdown-toggle" data-toggle="dropdown" href="#" style="display: inline;">
              Users
              <i class="fa fa-chevron-circle-right fa-lg"></i>
            </a>
            <ul class="dropdown-menu">
              <a href="<?php print url("admin/people/create"); ?>"><li>Add new user</li></a>

              <a href="<?php print url("admin/people"); ?>"><li>Manage Users</li></a>
            </ul>
          </li>
          <li>
            <span class="notifications-count text-center">0</span>
            <a href="#">Notification</a>
          </li>
          <li class="left-parent-menu parent-menu">
            <i class="fa fa-cog fa-lg"></i>
            <a class="dropdown-toggle" data-toggle="dropdown" href="#" style="display: inline;">
              Configuration
              <i class="fa fa-chevron-circle-right fa-lg"></i>
            </a>
            <ul class="dropdown-menu">
              <a href="<?php print url("admin/config/notify-emails"); ?>"><li>E-mails configuration</li></a>
            </ul>
          </li>
          <?php
        }
        else {
          ?>
          <li><span class="notifications-count text-center">0</span><a href="#">Notification</a></li>
        <?php } ?>

        <li class="left-parent-menu parent-menu">
          <i class="fa fa-table fa-fw"></i>
          <a class="dropdown-toggle" data-toggle="dropdown" href="#" style="display: inline;">
            Vacations
            <i class="fa fa-chevron-circle-right fa-lg"></i>
          </a>
          <ul class="dropdown-menu">
            <!--Request vacation based on logged in user role-->
            <?php if (in_array('administrator', array_values($user->roles))) { ?>
              <a href="<?php print url("add-vacation"); ?>"><li>Add a vacation</li></a>
              <a href="<?php print url("vacations"); ?>"><li>vacations list By user</li></a>
              <a href="<?php print url("days-vacations"); ?>"><li>vacations list By day</li></a>
              <?php
            }
            else {
              ?>
              <a href="<?php print url("add-vacation"); ?>"><li>Request a vacation</li></a>
              <a href="<?php print url("my-vacations"); ?>"><li>Your vacations</li></a>
            <?php } ?>

          </ul>
        </li>
        <li class="left-parent-menu parent-menu">
          <span class="user-pic"><?php print get_user_picture(); ?></span>
          <a class="dropdown-toggle" data-toggle="dropdown" href="#" style="display: inline;">
            <?php print $user->name; ?>
            <i class="fa fa-chevron-circle-right fa-lg"></i>
          </a>
          <ul class="dropdown-menu">
            <a href="<?php print url("user/$user->uid"); ?>"><li>User settings</li></a>
            <a href="<?php print url("user/logout"); ?>"><li>Logout</li></a>
          </ul>
        </li>

      </ul>
    </div>
  </div>
  <div id="wrp-page-body">

    <div class="container">
      <?php if (!empty($title)): ?>
        <h1 class="page-header"><?php print $title; ?></h1>
      <?php endif; ?>
    </div>

    <div class="main-container container wrp-page-body-container">
      <div class="container-fluid wrp-page-body-cont">
        <div class="success-delete"></div>
        <div class="">
          <?php if (!empty($page['sidebar_first'])): ?>
            <aside class="col-sm-3" role="complementary">
              <?php print render($page['sidebar_first']); ?>
            </aside>  <!-- /#sidebar-first -->
          <?php endif; ?>
          <section<?php print $content_column_class; ?>>




            <?php if (!empty($page['highlighted'])): ?>
              <div class="highlighted jumbotron"><?php print render($page['highlighted']); ?></div>
            <?php endif; ?>

            <?php
            if (!empty($breadcrumb)): print $breadcrumb;
            endif;
            ?>
            <a id="main-content"></a>
            <?php print render($title_prefix); ?>
            <?php print render($title_suffix); ?>
            <?php print $messages; ?>
            <?php if (!empty($tabs)): ?>
              <?php print render($tabs); ?>
            <?php endif; ?>
            <?php if (!empty($page['help'])): ?>
              <?php print render($page['help']); ?>
            <?php endif; ?>
            <?php if (!empty($action_links)): ?>
              <ul class="action-links"><?php print render($action_links); ?></ul>
            <?php endif; ?>


            <?php if (current_path() == 'vacations'): ?>
    <!--<a href="<?php print url("vacations/export"); ?>" class="pull-right export-btn"><i class="fa fa-file-excel-o fa-lg"></i> Export</a>-->
            <?php endif; ?>



            <?php print render($page['content']); ?>
          </section>
          <?php if (!empty($page['sidebar_second'])): ?>
            <aside class="col-sm-3" role="complementary">
              <?php print render($page['sidebar_second']); ?>
            </aside>  <!-- /#sidebar-second -->
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>
<?php }else { ?>


  <!-- User login Front Page -->
  <div id="view_login" class="login">
    <div class="container">
      <div class="view_cont">
        <div class="content-center space-bottom logo_cont">
          <img src="<?php print $fullpath; ?>/images/logo.png" class="login-logo">
          <h3>Rsources Tracking</h3>
        </div>
        <div class="not-lgged-form-wrap">
          <div class="login-form">
            <h3 class="plz-login">Please log in</h3>
            <?php //print(drupal_render(drupal_get_form('user_login_block')));
            ?>
            <?php
            module_load_include('inc', 'user', 'user.pages');
            $login_form = drupal_get_form('user_login');
            print render($login_form);
            ?>
          </div>
          <div class="user-pass-form">
            <h3 class="plz-login">Forgot your password?</h3>
            <p class="lgin-help enter-pass">Enter your e-mail address and we'll send you password reset instructions.</p>
            <?php
            module_load_include('inc', 'user', 'user.pages');
            $pass_form = drupal_get_form('user_pass');
            print render($pass_form);
            ?>
          </div>
        </div>
        <div class="text-center login-form-help">
          <p class="lgin-help"><b>Help:</b> <a class="forget-pass" href="#"> I can't sign in or I forgot my password!</a></p>
          <p class="lgin-help"><b>Don't have an account? </b> <a href="#">Create one for free</a></p>
        </div>
        <div class="text-center pass-form-help">
          <p class="lgin-help"><b>Never mind:</b> <a class="bring-login-form" href="#">Bring the login form out again!</a></p>
        </div>
      </div>

    </div>
  </div>

<?php } ?>
