<?php
/**
 * @file
 * This template is used to print a single field in a view.
 *
 * It is not actually used in default Views, as this is registered as a theme
 * function which has better performance. For single overrides, the template is
 * perfectly okay.
 *
 * Variables available:
 * - $view: The view object
 * - $field: The field handler object that can process the input
 * - $row: The raw SQL result that can be used
 * - $output: The processed output that will normally be used.
 *
 * When fetching output from the $row, this construct should be used:
 * $data = $row->{$field->field_alias}
 *
 * The above will guarantee that you'll always get the correct data,
 * regardless of any changes in the aliasing that might happen if
 * the view is modified.
 */

$uid = filter_var($output, FILTER_SANITIZE_NUMBER_INT);
$add_value = $uid.get_group_by_uid($uid);
$days_count = count(get_dates_by_uid($uid));
$full_name = get_full_name_by_uid($uid);
$add_user_vaction = '';
global $user;
if(in_array('administrator', array_values($user->roles))){
  $add_user_vaction = "<a data-toggle='tooltip' title='Add a Vacation for $full_name' class='add-vacation-icon pull-right' href='".  url("add-vacation")."?value=$add_value'>"
      . "<i class='fa fa-plus-square-o fa-lg'></i>"
      . "</a>";
}


print $full_name
    . "<i class='fa fa-bars pull-left owner-ico'></i>"
    . "$add_user_vaction" .
    "<span class='days-count'>" . $days_count ."Days" . "</span>";
?>

